scala.tools.nsc.backend.icode.Primitives

# CMPL

#### object CMPL extends ICodes.ComparisonOp with Product with Serializable

A comparison operation with -1 default for NaNs

Source
  Primitives.scala

Linear Supertypes
Serializable, java.io.Serializable, Product, Equals, ICodes.ComparisonOp, AnyRef, Any
Ordering

1. Alphabetic
2. By inheritance

Inherited

1. CMPL
2. Serializable
3. Serializable
4. Product
5. Equals
6. ComparisonOp
7. AnyRef
8. Any

1. Hide All
2. Show all

Learn more about member selection
Visibility

1. Public
2. All

### Value Members

1. #### final def !=(arg0: Any): Boolean

   Definition Classes
     AnyRef → Any

2. #### final def ##(): Int

   Definition Classes
     AnyRef → Any

3. #### final def ==(arg0: Any): Boolean

   Definition Classes
     AnyRef → Any

4. #### final def asInstanceOf[T0]: T0

   Definition Classes
     Any

5. #### def clone(): AnyRef

   Attributes
     protected[java.lang]
   Definition Classes
     AnyRef
   Annotations
     @throws( ... )

6. #### final def eq(arg0: AnyRef): Boolean

   Definition Classes
     AnyRef

7. #### def equals(arg0: Any): Boolean

   Definition Classes
     AnyRef → Any

8. #### def finalize(): Unit

   Attributes
     protected[java.lang]
   Definition Classes
     AnyRef
   Annotations
     @throws( classOf[java.lang.Throwable] )

9. #### final def getClass(): Class[_]

   Definition Classes
     AnyRef → Any

10. #### final def isInstanceOf[T0]: Boolean

    Definition Classes
      Any

11. #### final def ne(arg0: AnyRef): Boolean

    Definition Classes
      AnyRef

12. #### final def notify(): Unit

    Definition Classes
      AnyRef

13. #### final def notifyAll(): Unit

    Definition Classes
      AnyRef

14. #### final def synchronized[T0](arg0: ⇒ T0): T0

    Definition Classes
      AnyRef

15. #### def toString(): String

    Returns a string representation of this operation.

    Returns a string representation of this operation.

    Definition Classes
      ComparisonOp → AnyRef → Any

16. #### final def wait(): Unit

    Definition Classes
      AnyRef
    Annotations
      @throws( ... )

17. #### final def wait(arg0: Long, arg1: Int): Unit

    Definition Classes
      AnyRef
    Annotations
      @throws( ... )

18. #### final def wait(arg0: Long): Unit

    Definition Classes
      AnyRef
    Annotations
      @throws( ... )

### Inherited from Serializable

### Inherited from java.io.Serializable

### Inherited from Product

### Inherited from Equals

### Inherited from ICodes.ComparisonOp

### Inherited from AnyRef

### Inherited from Any

### Ungrouped